Update a location translation
patch
/hcmRestApi/resources/11.13.18.05/locationsV2/{locationsV2UniqID}/child/translations/{translationsUniqID}
Request
Path Parameters
-
locationsV2UniqID(required): string
This is the hash key of the attributes which make up the composite key for the Locations V2 resource and used to uniquely identify an instance of Locations V2. The client should not generate the hash key value. Instead, the client should query on the Locations V2 collection resource in order to navigate to a specific instance of Locations V2 to get the hash key.
-
translationsUniqID(required): string
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Effective-Of: string
This header accepts a string value. The string is a semi-colon separated list of
= . It is used to perform effective date range operations. The accepted parameters are RangeMode, RangeSpan, RangeStartDate, RangeEndDate, RangeStartSequence and RangeEndSequence. The parameter values are always strings. The possible values for RangeMode are SET_LOGICAL_START, SET_LOGICAL_END, END_DATE, SET_EFFECTIVE_START, SET_EFFECTIVE_END, REPLACE_CORRECTION, REPLACE_UPDATE, RECONCILE_CORRECTION, CORRECTION, RECONCILE_UPDATE, UPDATE, ZAP and DELETE_CHANGES. The possible values for RangeSpan are PHYSICAL_ROW_END_DATE and LOGICAL_ROW_END_DATE. The values for RangeStartDate and RangeEndDate have to be a string representation of a date in yyyy-MM-dd format. The value for RangeStartSequence and RangeEndSequence must be strings such that when parsed they yield positive integers. -
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
Description: string
Maximum Length:
240Description of the location translation. -
EffectiveEndDate: string
(date)
Effective end date of the location translations.
-
EffectiveStartDate: string
(date)
Effective start date of the location translations.
-
LocationName: string
Maximum Length:
60Name of the location translation. -
SourceLang: string
Maximum Length:
4Source language of the location translation.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : locationsV2-translations-item-response
Type:
Show Source
object-
Description: string
Maximum Length:
240Description of the location translation. -
EffectiveEndDate: string
(date)
Effective end date of the location translations.
-
EffectiveStartDate: string
(date)
Effective start date of the location translations.
-
Language: string
Maximum Length:
4Language of the location translation. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LocationDetailsId: integer
(int64)
System-generated primary key of the location translation.
-
LocationName: string
Maximum Length:
60Name of the location translation. -
SourceLang: string
Maximum Length:
4Source language of the location translation.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.